class Methods:
    def imeth(self, x):            # Zwykła metoda instancji: otrzymuje self
        print([self, x])           # Zawsze oczekuje instancji self

    def smeth(x):                  # Metoda statyczna: instancja nie jest przekazywana
        print([x])                 # Również zwykła funkcja z klasy

    def cmeth(cls, x):             # Metoda klasy: otrzymuje klasę, nie instancję
        print([cls, x])            # Zawsze oczekuje klasy, a nie instancji

    smeth = staticmethod(smeth)    # Przekształcenie smeth w metodę statyczną (lub @ - patrz dalej)
    cmeth = classmethod(cmeth)     # Przekształcenie cmeth w metodę klasy (lub @ - patrz dalej)

